aboutsummaryrefslogtreecommitdiffstats
path: root/testing/oidentd/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-01-28 08:22:52 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-28 08:54:00 +0000
commit4742ffc955a9db4df026db4a65346714d872f5b3 (patch)
treec09565c5ced9bcfb4ef0b12a781f4fae55dbebbf /testing/oidentd/APKBUILD
parent7cebf0b6672c6089257011039dcf78a3816c2f9e (diff)
downloadaports-4742ffc955a9db4df026db4a65346714d872f5b3.tar.bz2
aports-4742ffc955a9db4df026db4a65346714d872f5b3.tar.xz
testing/oidentd: new aport
Diffstat (limited to 'testing/oidentd/APKBUILD')
-rw-r--r--testing/oidentd/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/oidentd/APKBUILD b/testing/oidentd/APKBUILD
new file mode 100644
index 0000000000..130283f72a
--- /dev/null
+++ b/testing/oidentd/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=oidentd
+pkgver=2.0.8
+pkgrel=0
+pkgdesc="Configurable IDENT server that supports NAT/IP masq."
+url="http://dev.ojnk.net/"
+license="GPL"
+depends="uclibc"
+makedepends=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/ojnk/$pkgname-$pkgver.tar.gz
+oidentd.conf
+oidentd.initd
+oidentd.confd"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ install -D -m755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -D -m644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -D -m644 "$srcdir"/$pkgname.conf "$pkgdir"/etc/$pkgname.conf
+
+}
+
+md5sums="c3d9a56255819ef8904b867284386911 oidentd-2.0.8.tar.gz
+d9c40e4d6a0bde685a359ad49b4eada2 oidentd.conf
+89a027c3b8245f6c5e79930d16d485f7 oidentd.initd
+05a43d3987754f179f4e31bbe61ff315 oidentd.confd"